package com.tzld.longarticle.recommend.server.common.enums.recommend;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum FeishuRobotIdEnum {
    RECOMMEND("长文排序报警群", "07026a9f-43f5-448b-ba40-a8d71bd6e634"),
    JOB("定时任务报警群", "186c9798-5b6a-4ff8-b7fc-4ce4b6ea5076"),
    ARTICLE_DELETE("文章删除报警群", "6e43785b-19f6-4d28-a369-829ba8d7bf5d"),

    ;

    private final String groupName;
    private final String robotId;


    FeishuRobotIdEnum(String groupName, String robotId) {
        this.groupName = groupName;
        this.robotId = robotId;
    }

    public static FeishuRobotIdEnum from(String groupName) {
        for (FeishuRobotIdEnum robotEnum : FeishuRobotIdEnum.values()) {
            if (Objects.equals(robotEnum.groupName, groupName)) {
                return robotEnum;
            }
        }
        return RECOMMEND;
    }
}
