package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "datastat_score")
public class DatastatScore {

    @Id
    @Column(name = "id")
    private Long id;

    @Column(name = "dt")
    private String dt;

    @Column(name = "gh_id")
    private String ghId;

    @Column(name = "index")
    private Integer index;

    @Column(name = "account_name")
    private String accountName;

    @Column(name = "title")
    private String title;

    @Column(name = "category")
    private String category;

    @Column(name = "strategy")
    private String strategy;

    @Column(name = "score")
    private Double score;

    @Column(name = "similarity")
    private Double similarity;

    @Column(name = "category_score")
    private Double categoryScore;

    @Column(name = "view_count_rate")
    private Double viewCountRate;

    @Column(name = "his_fission_avg_read_rate_rate")
    private Double hisFissionAvgReadRateRate;

    @Column(name = "his_fission_avg_read_sum_rate")
    private Double hisFissionAvgReadSumRate;

    @Column(name = "his_fission_de_weight_avg_read_sum_rate")
    private Double hisFissionDeWeightAvgReadSumRate;

    @Column(name = "read_count")
    private Integer readCount;

    @Column(name = "read_avg")
    private Double readAvg;

    @Column(name = "read_avg_rate")
    private Double readAvgRate;

    @Column(name = "first_pub_interval")
    private Integer firstPubInterval;

}
