package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_video_audit")
public class LongArticleVideoAudit {

    @Id
    @Column(name = "video_id")
    private Long videoId;

    @Column(name = "content_id")
    private String contentId;

    @Column(name = "trace_id")
    private String traceId;

    @Column(name = "oss_path")
    private String ossPath;

    @Column(name = "status")
    private Integer status;

    @Column(name = "task_id")
    private Long taskId;

    @Column(name = "fail_reason")
    private String failReason;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "finish_timestamp")
    private Long finishTimestamp;
}
