package com.tzld.longarticle.recommend.server.model.entity.longArticle;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "article_category")
public class ArticleCategory {

    @Id
    @Column(name = "produce_content_id")
    private String produceContentId;

    @Column(name = "channel_content_id")
    private String channelContentId;

    @Column(name = "crawler_plan_id")
    private String crawlerPlanId;

    @Column(name = "title")
    private String title;

    @Column(name = "title_md5")
    private String titleMd5;

    @Column(name = "category")
    private String category;

    @Column(name = "kimi_result")
    private String kimiResult;

    @Column(name = "status")
    private Integer status;

    @Column(name = "fail_reason")
    private String failReason;

    @Column(name = "retry_times")
    private Integer retryTimes;

    @Column(name = "create_timestamp")
    private Long createTimestamp;

    @Column(name = "update_timestamp")
    private Long updateTimestamp;

}
