package com.tzld.longarticle.recommend.server.repository.longArticle;

import com.tzld.longarticle.recommend.server.model.entity.longArticle.AccountCategory;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AccountCategoryRepository extends JpaRepository<AccountCategory, AccountCategory.PK> {

    AccountCategory getByGhIdAndStatus(String ghId, Integer status);

    List<AccountCategory> getByStatus(Integer status);

}
